# Define templates
include:
  - project: 'gazelle/private/gitlab-ci-templates'
    file: 'extends.yaml'
    ref: 'master'

# Define stages
stages:
  - build
  - postbuild
  - deploy
  - tests
  - release
  - upgrade
  - cleanup

# Define global variables
variables:
  P_NAME: "FhirUtil "
  P_APP_TYPE: "java"
  P_CODE_SRC_PATH: "."
  P_MAVEN_IMAGE_TAG: "3.6.3-jdk-8"


# Define jobs
code:
  stage: build
  extends:
    - .buildCodeForJava

quality:
  stage: tests
  extends:
    - .testQualityForJavaWithSonarqube

release/code:
  stage: release
  extends:
    - .releaseCodeForJava
